## python-pyclustering 0.10.0.1

=== debian/changelog ===
python-pyclustering (0.10.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop now-useless patch for Python 3.8 warnings.
  * Refresh the other patches.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Aug 2020 09:54:21 +0200

python-pyclustering (0.9.3.1-2) unstable; urgency=medium

  * Better d/copyright.
  * Declare d/rules doesn't require root.
  * Bump dh compat to level 13.
  * Update team mailing list address.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Aug 2020 08:57:08 +0200

python-pyclustering (0.9.3.1-1) unstable; urgency=medium

  * Initial packaging (Closes: #962837).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 15 Jun 2020 10:47:55 +0200
