=== debian/control ===
Source: python-pyclustering
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.0
Homepage: https://github.com/annoviko/pyclustering
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-matplotlib,
               python3-numpy,
               python3-pillow,
               python3-scipy,
               python3-setuptools
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyclustering.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyclustering

Package: python3-pyclustering
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Data mining algorithms (Python 3)
 This library provides tools for clustering algorithms, oscillatory
 networks and neural networks.
 .
 This package installs the library for Python 3.
