## python-pyclustering 0.10.1.2

=== debian/changelog ===
python-pyclustering (0.10.1.2-2) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Aug 2021 12:55:25 +0200

python-pyclustering (0.10.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 27 Nov 2020 07:31:46 +0100

python-pyclustering (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 23 Nov 2020 07:30:50 +0100

python-pyclustering (0.10.0.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * Better document patches so lintian doesn't complain.
  * Add lintian overrides for uninformative warnings.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Oct 2020 20:37:54 +0200
