=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/annoviko/pyclustering
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -14,8 +14,8 @@
                python3-scipy,
                python3-setuptools
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyclustering.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyclustering
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyclustering.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyclustering
 
 Package: python3-pyclustering
 Architecture: all
