=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=pyclustering

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	@true

override_dh_install:
	dh_install
	rm -fr debian/python3-$(PYBUILD_NAME)/usr/lib/**/dist-packages/pyclustering/samples/graphs
	rm -fr debian/python3-$(PYBUILD_NAME)/usr/lib/**/dist-packages/pyclustering/samples/images
	rm -fr debian/python3-$(PYBUILD_NAME)/usr/lib/**/dist-packages/pyclustering/samples/samples
	chmod a-x `find debian/python3-$(PYBUILD_NAME)/usr/share/pyclustering -type f`
