=== debian/watch ===
version=4
https://github.com/annoviko/pyclustering/tags .*/(\d\S*)\.tar\.gz
